# Class PrinterAbortException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.awt.print.PrinterException
java.awt.print.PrinterAbortException

All Implemented Interfaces:
  `Serializable`

public class PrinterAbortException extends PrinterException
The `PrinterAbortException` class is a subclass of `PrinterException` and is used to indicate that a user or application has terminated the print job while it was in the process of printing.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PrinterAbortException()`
Constructs a new `PrinterAbortException` with no detail message.
`PrinterAbortException(String msg)`
Constructs a new `PrinterAbortException` with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PrinterAbortException

public PrinterAbortException()
Constructs a new `PrinterAbortException` with no detail message.

### PrinterAbortException

public PrinterAbortException(String msg)
Constructs a new `PrinterAbortException` with the specified detail message.

Parameters:
  `msg` - the message to be generated when a `PrinterAbortException` is thrown